QGIS Application - Feature request #17219
Better description of bands
2017-09-29 09:11 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 25118
Description

Some multiband fornmat (I have checked especialli GRIB) have a description in the metadata for the meaning of each band (e.g. wind
speed 10 m above ground). In the layer properties > Style, only the band numbers are listed (band 1 etc.).

This makes styling very difficult. It would seem reasonable to add the metadata to the band number, e.g.:

Band 1 (wind speed 10 m above ground)

Related issues:
Related to QGIS Application - Bug report # 19586: Problem reading grib file Closed 2018-08-10

History

#1 - 2017-10-02 01:24 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you share one of these files?

#2 - 2017-10-02 09:09 AM - Paolo Cavallini

http://www.faunalia.eu/~paolo/grib.zip
Thanks.
BTW: | do not know whether this is a general issue, but the projection for this particular file (EPSG:4326) is not correctly interpreted.

#3 - 2018-01-09 01:01 PM - Paolo Cavallini

Misinterpretation of EPSG code confirmed with other GRIBs from other sources.

#4 - 2018-01-16 03:46 PM - Giovanni Manghi
- File Screenshot 20180116_144439.png added

Paolo Cavallini wrote:

Misinterpretation of EPSG code confirmed with other GRIBs from other sources.

here on 2.18." and gdal 2.2.2:

both gdal (and qgis) read a custom CRS (+proj=longlat +a=6367470 +b=6367470 +no_defs) but this definitely seems to reproject to the right place, see
attached image.
#5 - 2018-01-16 04:04 PM - Paolo Cavallini

Confirmed, thanks for checking. As mentioned in mailing list, GRIBS dowloaded and correctly visualized in ZyGrib are not projected correctly, see
http://www.faunalia.eu/~paolo/grib2.bz2

This is outside the scope of the current ticket however.

#6 - 2018-01-17 01:16 PM - Giovanni Manghi

Paolo Cavallini wrote:

Confirmed, thanks for checking. As mentioned in mailing list, GRIBS dowloaded and correctly visualized in ZyGrib are not projected correctly, see
http://www.faunalia.eu/~paolo/grib2.bz2

This is outside the scope of the current ticket however.

gdalinfo reports messages like

Band 1206 Block=109x1 Type=Float64, ColorInterp=Undefined
Description = 0[-] SFC (Ground or water surface)
Un-handled possible ensemble section center 58 subcenter 0
Warning 1: Band 1206 of GRIB dataset is 130x99, while the first band and dataset is 109x89. Georeferencing of band 1206 may be incorrect, and
data access may be incomplete.
NoData Value=9999
Metadata:
GRIB_COMMENT=undefined [-]
GRIB_ELEMENT=var155
GRIB_FORECAST_SECONDS=345600 sec
GRIB_REF_TIME= 1515456000 sec UTC
GRIB_SHORT_NAME=0-SFC
GRIB_UNIT=[-]
GRIB_VALID_TIME= 1515801600 sec UTC

so | would say it is GDAL or zygrib problem.

#7 - 2018-01-17 08:56 PM - Nyall Dawson
- Resolution set to up/downstream

#8 - 2018-01-18 08:33 AM - Paolo Cavallini
- Resolution deleted (up/downstream)

We are mixing up things here, my fault.

1. the projection issue: unclear whether this is due to QGIS misinterpreting EPSG:4326 or Zygrib/GDAL providing invalid projection; | will do more research
2. wrong extent: brilliantly clarified by Giovanni, thanks

3. description of bands: remains valid, it' a QGIS GUI issue, possibly not too difficult.

Thanks all for feedback.

#9 - 2018-01-18 11:24 AM - Paolo Cavallini

2025-04-27 2/4


http://www.faunalia.eu/~paolo/grib2.bz2
http://www.faunalia.eu/~paolo/grib2.bz2

For reference: http://www.zygrib.org/forum/viewtopic.php?f=3&#38;t=1069

#10 - 2018-01-18 11:30 AM - Paolo Cavallini
Projection issue seems due to Zygrib, in any case not to QGIS:

Driver: GRIB/GRIdded Binary (.grb)
Files: ECMWF0100_2017030100_000.grb
Size is 181, 161
Coordinate System is:
GEOGCS["Coordinate System imported from GRIB file",

DATUM["unknown",

SPHEROID["Sphere",6367470,0]],

PRIMEM["Greenwich",0],

UNIT["degree",0.0174532925199433]]
Origin = (1.950000000000000,50.049999999999997)
Pixel Size = (0.100000000000000,-0.100000000000000)
Corner Coordinates:
Upper Left ( 1.9500000, 50.0500000) ( 1d57' 0.00"E, 50d 3' 0.00"N)
Lower Left ( 1.9500000, 33.9500000) ( 1d57' 0.00"E, 33d57' 0.00"N)
Upper Right ( 20.0500000, 50.0500000) ( 20d 3' 0.00"E, 50d 3' 0.00"N)
Lower Right ( 20.0500000, 33.9500000) ( 20d 3' 0.00"E, 33d57' 0.00"N)
Center  ( 11.0000000, 42.0000000) ( 11d 0' 0.00"E, 42d 0' 0.00"N)

(
(

#11 - 2018-01-18 11:40 AM - Paolo Cavallini

So we can go back to the original issue: showing in the name of bands also their description, as reported by GDAL, to make it easier for users to interpret
and symbolize data.

#12 - 2018-02-24 03:21 PM - Paolo Cavallini

- Status changed from Feedback to Open

#13 - 2018-08-10 09:56 AM - Saber Razmjooei
- Related to Bug report #19586: Problem reading grib file added

#14 - 2018-08-10 02:29 PM - Saber Razmjooei

It works fine in QGIS master when loading the layer as mesh:
https://issues.qgis.org/issues/19586

https://issues.qgis.org/attachments/download/13105/grib.png

#15 - 2018-08-13 10:42 AM - Giovanni Manghi
- Status changed from Open to Feedback

#16 - 2018-08-13 11:08 AM - Paolo Cavallini

- Status changed from Feedback to Closed
- Resolution set to fixed/implemented
Confirmed, thanks.

Files

Screenshot_20180116_144439.png 1.2 MB 2018-01-16 Giovanni Manghi
